From: jgart <[email-masked]>
Date: Mon, 22 Nov 2021 20:21:04 -0500

I primarily access #guix on irc.libera.chat from gajim (xmpp client) over a bridge. 

I think Raghav Gururajan mostly uses xmpp bridges also for irc last time we chatted.

Regarding matrix clients,

Arun Isaac packaged weechat-matrix for guix recently:

see the following commit on master: 7ebed0cdc8043852bed7f5ca639f16bac30cc124

gomuks is a nice tui matrix client that I use daily when element takes forever to load in my browser:

https://maunium.net/go/gomuks/

I'm hoping to package it at some point. I currently install gomuks with nix...

It would be cool to self-host a Guix System deployed matrix home server at some point in the future.

Ideally, the server is implemented in guile instead of python (default homeserver), of course :).

There are matrix servers implemented in python, elixir, rust, go, ...

* https://matrix.org/docs/projects/server/synapse
* https://matrix.org/docs/projects/server/dendrite
* https://matrix.org/docs/projects/server/conduit
* https://matrix.org/docs/projects/server/construct
* https://matrix.org/docs/projects/server/ligase
* https://matrix.org/docs/projects/server/maelstrom
* https://github.com/bismark/matrex

Matrix has a specification:

https://spec.matrix.org/latest/

List of matrix servers:

https://tatsumoto-ren.github.io/blog/list-of-matrix-servers.html

all best,

jgart